---
title: DOMPointReadOnly.z
slug: Web/API/DOMPointReadOnly/z
tags:
  - API
  - Coordinates
  - DOM
  - DOMPointReadOnly
  - Depth
  - Geometry
  - Geometry Interfaces
  - Point
  - Property
  - Read-only
  - Reference
  - z
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>DOMPointReadOnly</strong></code> interface's <code><strong>z</strong></code> property holds the depth coordinate, z, for a read-only point in space.</span> If your script needs to be able to change the value of this property, you should instead use the {{domxref("DOMPoint")}} object.</p>

<p>In general, positive values of <code>z</code> mean toward the user (out from the screen), and negative values of <code>z</code> mean away from the user (into the screen), assuming no transforms have resulted in a reversal.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const <var>zPos</var> = <var>someDOMPointReadOnly</var>.z;</pre>

<h3 id="Value">Value</h3>

<p>A double-precision floating-point value indicating the z coordinate's value for the point. This value is <strong>unrestricted</strong>, meaning that it is allowed to be infinite or invalid (that is, its value may be {{jsxref("NaN")}} or {{jsxref("Infinity", "±Infinity")}}).</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-dompointreadonly-z', 'z')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMPointReadOnly.z")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The other coordinate properties: {{domxref("DOMPointReadOnly.x", "x")}}, {{domxref("DOMPointReadOnly.y", "y")}}, and the perspective value, {{domxref("DOMPointReadOnly.w", "w")}}.</li>
</ul>
